cURL
curl --request PATCH \
--url https://api.mottostreaming.com/streaming/videos/v1/{video_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"video_id": "<string>",
"video": {
"name": "<string>",
"localized_title": {},
"playlists": [
{
"name": "<string>",
"dvr_settings": {
"window_size_seconds": 123
},
"visibility_markers": [
{
"offset": "<string>",
"priority": "<string>"
}
]
}
]
},
"update_mask": "<string>"
}
'import requests
url = "https://api.mottostreaming.com/streaming/videos/v1/{video_id}"
payload = {
"video_id": "<string>",
"video": {
"name": "<string>",
"localized_title": {},
"playlists": [
{
"name": "<string>",
"dvr_settings": { "window_size_seconds": 123 },
"visibility_markers": [
{
"offset": "<string>",
"priority": "<string>"
}
]
}
]
},
"update_mask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
video_id: '<string>',
video: {
name: '<string>',
localized_title: {},
playlists: [
{
name: '<string>',
dvr_settings: {window_size_seconds: 123},
visibility_markers: [{offset: '<string>', priority: '<string>'}]
}
]
},
update_mask: '<string>'
})
};
fetch('https://api.mottostreaming.com/streaming/videos/v1/{video_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"video": {
"id": "<string>",
"name": "<string>",
"localized_title": {},
"project_id": "<string>",
"playlists": [
{
"id": "<string>",
"name": "<string>",
"private_url": "<string>",
"public_url": "<string>",
"dvr_settings": {
"window_size_seconds": 123
},
"org_id": "<string>",
"project_id": "<string>",
"video_id": "<string>",
"visibility_markers": [
{
"offset": "<string>",
"priority": "<string>"
}
]
}
]
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Videos
Update video
UpdateVideo
Updates video settings.
PATCH
/
streaming
/
videos
/
v1
/
{video_id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
OK
Show child attributes
Show child attributes
⌘I

